| Home | Libraries | People | FAQ | More

## Function polymorphic_strict_get

boost::polymorphic_strict_get — Retrieves a value of a specified type from a given `variant`.

## Synopsis

    // In header: <boost/variant/polymorphic_get.hpp>

    template<typename U, typename T1, typename T2, ..., typename TN>
      U * polymorphic_strict_get(variant<T1, T2, ..., TN> * operand);
    template<typename U, typename T1, typename T2, ..., typename TN>
      const U * polymorphic_strict_get(const variant<T1, T2, ..., TN> * operand);
    template<typename U, typename T1, typename T2, ..., typename TN>
      U & polymorphic_strict_get(variant<T1, T2, ..., TN> & operand);
    template<typename U, typename T1, typename T2, ..., typename TN>
      const U & polymorphic_strict_get(const variant<T1, T2, ..., TN> & operand);

## Description

Acts exactly like `polymorphic_relaxed_get` but does a compile time check that type `U` is one of the types that can be stored in variant.